<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= @modal_title.nil? ? "Cause" : @modal_title %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<%= simple_form_for @meth_tree_content, remote: true do |f| %>
  <div class="modal-body">
    <%= f.error_notification %>
    <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

    <div class="form-inputs">
      <% if @meth_tree_content.parent_id %>
        <div class="form-group">
          <%= f.label :parent_id, class: 'form-control-label select required' %>
          <% tree_contents =  @meth_tree_content.root.subtree.order_for_list
             # order(:ancestry) # , Meth::TreeContent.current_locale_column(:name))
          %>
          <%= helper_causes_list(tree_contents, 'meth_tree_content', 'parent_id',
                                 {selected: @meth_tree_content.parent_id}) %>
        </div>
      <% else %>
        <%= f.hidden_field :parent_id %>
      <% end %>
      <%= f.input :name_fr %>
      <%= f.input :name_en %>
      <% if @meth_tree_content.custom_field_desc_id %>
        <%= f.hidden_field :custom_field_desc_id %>
      <% else %>
        <%= f.association :custom_field_desc, collection: Meth::CustomFieldDesc %>
      <% end %>
    </div>
  </div>

  <div class="modal-footer">
    <div class="form-actions">
      <%= f.button :submit %>
    </div>
  </div>
<% end %>
